<%@ WebHandler Language="C#" Class="HeaderHandler" %>

using System;
using System.Web;

public class HeaderHandler : IHttpHandler {

    public void ProcessRequest (HttpContext context) {
        context.Response.ContentType = "text/plain";

		string requestData = context.Request.Headers["request-data"];
		context.Response.AddHeader(
			"response-data", "You've sent '" + requestData + "'.");
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}