<%@ WebHandler Language="C#" Class="CookieHandler" %>

using System;
using System.Web;

public class CookieHandler : IHttpHandler {

    public void ProcessRequest (HttpContext context) {
        context.Response.ContentType = "text/plain";

		string requestData = 
			context.Request.Cookies["request-data"].Value;
		
		context.Response.Cookies.Set(
			new HttpCookie("response-data", 
				"You've sent '" + requestData + "'."));
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}