<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Lesson 1 - Demo 5 - Use Cookie</title>
    <script language="javascript">
		function onClick()
		{
			/************************/
			setCookie("request-data", "Hello World");
			/************************/
			
			var url = "CookieHandler.ashx";
			
			// IE only.
			xmlHttpRequest = new ActiveXObject("Msxml2.XMLHTTP");
			xmlHttpRequest.open("POST", url, true);
			xmlHttpRequest.onreadystatechange = onReadyStateChange;
			xmlHttpRequest.setRequestHeader(
				"Content-Type",
				"application/x-www-form-urlencoded; charset=UTF-8");
			xmlHttpRequest.send(null);
		}
		
		function onReadyStateChange()
		{
			if (xmlHttpRequest.readyState == 4)
			{
				if (xmlHttpRequest.status == 200)
				{
					document.getElementById("result").innerHTML = 
						getCookie("response-data");
				}
			}
		}
		
		function setCookie(sName, sValue, oExpires, sPath, sDomain, bSecure)
		{
			var sCookie = sName + "=" + encodeURIComponent(sValue);
			if (oExpires)
			{
				sCookie += "; expires=" + oExpires.toGMTString();
			}
			if (sPath)
			{
				sCookie += "; path=" + sPath;
			}
			if (sDomain)
			{
				sCookie += "; domain=" + sDomain;
			}
			if (bSecure)
			{
				sCookie += "; secure";
			}
			document.cookie = sCookie;
		}
		
		function getCookie(sName)
		{
			var sRE = "(?:; )?" + sName + "=([^;]*);?";
			var oRE = new RegExp(sRE);
			if (oRE.test(document.cookie))
			{
				return decodeURIComponent(RegExp["$1"]);
			}
			else
			{
				return null;
			}
		}
		
		function deleteCookie(sName, sPath, sDomain)
		{
			setCookie(sName, "", new Date(0), sPath, sDomain);
		}
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
		<input type="button" value="Click" onclick="onClick()" />
		<div id="result"></div>
    </div>
    </form>
</body>
</html>
