<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Lesson 1 - Demo 6 - Cross Browser</title>
    <script language="javascript">
		var xmlHttpRequest = null;
		
		function getXMLHttpRequest()
		{
			if(window.XMLHttpRequest)
			{
				return new XMLHttpRequest();
			}
			else if (window.ActiveXObject)
			{
				request = new ActiveXObject("Microsoft.XMLHTTP");
				
				if (!request)
				{
					request = new ActiveXObject("Msxml2.XMLHTTP");
				}
				
				return request;
			}

		}
		
		function selectionChanged()
		{
			var url = "TextHandler.ashx?index=" + document.getElementById("select").value;
			
			xmlHttpRequest = getXMLHttpRequest();
			xmlHttpRequest.onreadystatechange = onReadyStateChange;
			xmlHttpRequest.open("GET", url, true);
			xmlHttpRequest.send(null);
		}
		
		function onReadyStateChange()
		{
			if (xmlHttpRequest.readyState == 4)
			{
				if (xmlHttpRequest.status == 200)
				{
					document.getElementById("text").innerHTML = 
						xmlHttpRequest.responseXML.documentElement.firstChild.nodeValue;
				}
			}
		}
    </script>
</head>
<body style="font-family:Verdana; font-size:13px;">
    <form id="form1" runat="server">
		<div>
			<select id="select" onchange="selectionChanged()">
				<option value="0">Please select...</option>
				<option value="1">Step 1</option>
				<option value="2">Step 2</option>
				<option value="3">Step 3</option>
			</select>
		</div>
		<br />
		<div>
			<b>Text:</b>
			<span id="text">Please select...</span>
		</div>
    </form>
</body>
</html>
