<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Lesson 1 - Demo 8 - "Get" Problem</title>
    <script language="javascript">
		var xmlHttpRequest = null;
		
		function getXMLHttpRequest()
		{
			if(window.XMLHttpRequest)
			{
				return new XMLHttpRequest();
			}
			else if (window.ActiveXObject)
			{
				request = new ActiveXObject("Microsoft.XMLHTTP");
				
				if (!request)
				{
					request = new ActiveXObject("Msxml2.XMLHTTP");
				}
				
				return request;
			}

		}
		
		function getProblem()
		{
			var url = "RandomHandler.ashx";
			
			xmlHttpRequest = getXMLHttpRequest();
			xmlHttpRequest.onreadystatechange = onReadyStateChange;
			xmlHttpRequest.open("GET", url, true);
			xmlHttpRequest.send(null);
		}
		
		function withoutProblem()
		{
			var url = "RandomHandler.ashx?" + new Date();
			
			xmlHttpRequest = getXMLHttpRequest();
			xmlHttpRequest.onreadystatechange = onReadyStateChange;
			xmlHttpRequest.open("GET", url, true);
			xmlHttpRequest.send(null);
		}
		
		function onReadyStateChange()
		{
			if (xmlHttpRequest.readyState == 4)
			{
				if (xmlHttpRequest.status == 200)
				{
					document.getElementById("result").innerHTML = xmlHttpRequest.responseText;
				}
			}
		}
    </script>
</head>
<body style="font-family:Verdana; font-size:13px;">
    <form id="form1" runat="server">
		<div>
			<input type="button" value="Get Problem" 
				onclick="getProblem();"/>
			<input type="button" value="Without Problem"
				onclick="withoutProblem();"/>
			<div id="result"></div>
		</div>
    </form>
</body>
</html>
