<%@ WebHandler Language="C#" Class="TextHandler" %>

using System;
using System.Web;

public class TextHandler : IHttpHandler {

	private static readonly string[] TextArray = new string[] { 
		"Please select...",
		"Step 1: Construct an XMLHttpRequest object.",
		"Step 2: Set the onreadystatechange event listener.",
		"Step 3: Open the request and send nothing."};
	
    public void ProcessRequest (HttpContext context) {
        context.Response.ContentType = "text/xml";

		int index = Int32.Parse(context.Request.QueryString["index"]);

        context.Response.Write("<text>" + TextArray[index] + "</text>");
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}