<%@ WebHandler Language="C#" Class="PostHandler" %>

using System;
using System.Web;

public class PostHandler : IHttpHandler {

	private static readonly string[] TextArray = new string[] { 
		"Please select...",
		"Step 1: Create a callback function using requestText",
		"Step 2: Construct an XMLHttpRequest object.",
		"Step 3: Set the onreadystatechange event listener.",
		"Step 4: Open the request using POST method.",
		"Step 5: Set header 'Content-Type' = 'application/x-www-form-urlencoded;'.",
		"Step 6: Send the request body."};
	
    public void ProcessRequest (HttpContext context) {
        context.Response.ContentType = "text/plain";

		int index = Int32.Parse(context.Request.Params["index"]);

        context.Response.Write(TextArray[index]);
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}