<%@ WebHandler Language="C#" Class="ProxyHandler" %>

using System;
using System.Web;
using System.Net;
using System.IO;

public class ProxyHandler : IHttpHandler {
    
    public void ProcessRequest (HttpContext context)
	{
		string url = context.Request.QueryString["url"];

		WebRequest request = HttpWebRequest.Create(url);
		WebResponse response = request.GetResponse();
		Stream stream = response.GetResponseStream();
		StreamReader reader = new StreamReader(stream);
		
		context.Response.ContentType = response.ContentType;
		context.Response.Write(reader.ReadToEnd());
		
		reader.Close();
		stream.Close();
		response.Close();
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}